微信 · 内容详情

视频号视频列表

传入视频号用户名或视频分享链接,返回该账号的视频,含描述、时长、点赞数、评论数、收藏数、转发数和发布时间。

POST/v1/wechat/channelVideos

$0.005每条

1,000 条
≈ $5.00
每页(3 条)最低
$0.0125

可用试用额度能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/wechat/channelVideos" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"channels":["v2_060000231003b20faec8cae1811ac4d5c702ea32b0771737aa785454f7f8177114cc4d248d66@finder"]}'

返回什么

这是 2026-11-21 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-21
{
  "data": [
    {
      "type": "channelVideo",
      "channelVideoId": "14907384780845160527",
      "exportId": "export/UzFfBgAAxJuDLHwLAzCVjczT4DCJhY…",
      "title": "北京车展观察,国产品牌正在揽胜化、卫…",
      "authorName": "<masked>",
      "authorUsername": "<masked>",
      "authorAvatar": "<masked>",
      "durationSeconds": 238,
      "likeCount": 6661,
      "commentCount": 1440,
      "favoriteCount": 7923,
      "forwardCount": 14761,
      "publishedAt": "2026-04-25T06:32:28Z",
      "width": 1920,
      "height": 1080,
      "coverUrl": "https://wxapp.tc.qq.com/251/20304/sto…",
      "ipLocation": "<masked>"
    },
    {
      "type": "channelVideo",
      "channelVideoId": "14792914274910214310",
      "exportId": "export/UzFfAgtgekIEAQAAAAAAMHYM0RN6Xw…",
      "title": "每年有三分之一的老年人跌倒,制造了95%…",
      "authorName": "<masked>",
      "authorUsername": "<masked>",
      "authorAvatar": "<masked>",
      "durationSeconds": 304,
      "likeCount": 5916,
      "commentCount": 245,
      "favoriteCount": 7438,
      "forwardCount": 44170,
      "publishedAt": "2025-11-18T08:00:01Z",
      "width": 1920,
      "height": 1080,
      "coverUrl": "https://wxapp.tc.qq.com/251/20304/sto…",
      "ipLocation": "<masked>"
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.012500",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 17

字段类型示例值
typestringchannelVideo
channelVideoIdstring14907384780845160527
exportIdstringexport/UzFfBgAAxJuDLHwLAzCVjczT4DCJhY8dRHH5llKZCmdXl2QM-Q
titlestring北京车展观察,国产品牌正在揽胜化、卫士方盒子化、保时捷化,中国汽车工业,正陷入“审美主权”危机 #2026北京国际车展…
authorNamestring<masked>
authorUsernamestring<masked>
authorAvatarstring<masked>
durationSecondsnumber238
likeCountnumber6661
commentCountnumber1440
favoriteCountnumber7923
forwardCountnumber14761
publishedAtstring2026-04-25T06:32:28Z
widthnumber1920
heightnumber1080
coverUrlstringhttps://wxapp.tc.qq.com/251/20304/stodownload?encfilekey=S7s…
ipLocationstring<masked>

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。一次请求返回的条数不会超过这个值。5
channelsarray是视频号用户名(v2_...@finder),或该视频号任意一条视频的分享链接(https://weixin.qq.com/sph/...)。不接受视频号 ID(sph...)。["v2_060000231003b20faec8cae1811ac4d5c70…

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"channels":["v2_060000231003b20faec8cae1811ac4d5c702ea32b0771737aa785454f7f8177114cc4d248d66@finder"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/wechat/channelVideos", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 3 条,每页最低收费 $0.0125;要 100 条的请求会取 34 页。

  • 1 条:最多 $0.0125
  • 20 条:最多 $0.10
  • 100 条:最多 $0.50

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「视频号视频列表」要传哪些参数?

必填:channels。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 3 条,要 100 条时一次请求取 34 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.005。每页最低收费 $0.0125:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.50。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。